Loading...
Searching...
No Matches
thread.h File Reference

Low-level Thread Functions. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/types.h>`
`#include <l4/sys/scheduler.h>`
Include dependency graph for thread.h:

Go to the source code of this file.

## Macros

#define | __L4UTIL_THREAD_FUNC(name)
| Defines a wrapper function that sets up the registers according to the calling conventions for the architecture.

## Detailed Description

Low-level Thread Functions.

Date
  1997

Author
  Sebastian Schönberg

Definition in file thread.h.

## Macro Definition Documentation

## __L4UTIL_THREAD_FUNC

#define __L4UTIL_THREAD_FUNC | ( |  | name | ) |

Value:
void L4_NORETURN name(void)
L4_NORETURN
#define L4_NORETURN
Noreturn function attribute.
Definition compiler.h:201

Defines a wrapper function that sets up the registers according to the calling conventions for the architecture.

Use this as a function header when starting a low-level thread where only stack and instruction pointer are in a well-defined state.

Example:

L4UTIL_THREAD_FUNC(helper_thread) { l4_infinite_loop(); }

thread_cap->ex_regs((l4_umword_t)helper_thread, stack_addr);

Definition at line 71 of file thread.h.